Pages: 1
RSS
Problems installing TB v10.2 - Shortcut & CEF
 
This is an update to the original message below.  As it turns out the whole problem appears to have been that I didn't uninstall the previous version of TB before installing the new one :-(  Duh!  As soon as I redid it that way v10.2 didn't exhibit any of the problems I previously described below.  Just for the sake of dummies like me, it would be nice if the TB installer would automatically uninstall any previous versions before proceeding  :-)





*****************************************************************************************
I am using Win10 64-bit with all the latest updates and I've tried to install TB v10.2-64bit several times.  During the install the first hint of trouble was a popup that stated:

"Warning 1909. Could not create Shortcut The Bat! 64-bit.lnk. Verify that the destination folder exists and that you can access it."  I've never seen this on any previous TB installation and I don't know specifically what/where it is referring to.  I just clicked OK to see what would happen and the installation seemed to proceed.

After the installation finished I got another popup that stated:
"Unsupported CEF version!  Use only the CEF binaries specified in the CEF4Delfi Readme.md file at https://github.com/salvadordf/CEF4Delphi.  Expected libcef.dll version : 103.0.12.0  Found : libcef.dll version : 101.0.15.0"

I then  went to that website and looked for the Readme.md file, which I never found.  However, I did find a link to the latest CEF binaries for Win10-64bit, which I downloaded and unzipped.  By a brute force search of my entire C drive I found the directory in which TB had stored its own CEF files, made a backup copy of it, then overwrote the CEF files  that came with TB with the ones I had downloaded.

I then tried to install TB v.10.2 again, but I got the same two popups as before, only this time the CEF popup said that the CEF version it found was 105.3.39.0, which was obviously the version I just downloaded.

In both CEF cases above the installation of TB v10.2 apparently at least partially succeeded because the "About" information in TB indicated v10.2 until I rebooted, at which point it reverted back to v10.1.  While v10.2 was still being indicated, however, I found it impossible to close TB by any means other than ending its process using the Task Manager.

At this point I'm pretty much stuck on what to do next other than go back to v10.1.  Has anyone else experienced any of these things?

Ray
Edited: Ray Mitchell - 01 October 2022 13:29:11 (Problem solved)
 
Hello, Ray,
Using Windows 11 64 Pro (up-to-date with the updates) and had The Bat 10.1 running OK. Tried to update to 10.2 and had roughly the same messages  as you. The "launcher" installed with 10.2 didn't launch anything, a double click on thebat.exe in Windows Explorer dit it (in the 'About' window it showed v10.2). Uninstalled and re-installed to no avail. I finally uninstalled it and re-installed version 10.03,  which runs smoothly on my outfit, launched through a desktop shortcut.
The 10.2 setup downloaded from RitLabs isn't quite clear about the installation of a) the launcher and b) the main executable : you are supposed to enter a folder in both cases, which seems to imply they could be different. In my case, whether they installed in different folders or in the same made no difference.
Have been a TB user since v3 (in  2007) and this is the first time I find trouble with an update. After a look at their site, I guess the guilt must be at least partly mine : nowhere do they state that TB is certified for Windows 11.
So maybe I should stick with TB 10.03, keep my fingers crossed and hope for the best.
Your position (using Windows 10) is better in that respect. Good luck !
Edited: André FABIANI - 01 October 2022 12:04:27
Pages: 1